%define is_f19 %(test "0%{?fedora}" -eq "019" && echo 1 || echo 0)

Summary:        A plugin to make oVirt Node installs compatible with oVirt Engine and vdsm
Name:           ovirt-node-plugin-vdsm
Version:        0.1.1
Release:        29%{?BUILD_NUMBER}%{?extra_release}%{?dist}
Source0:        %{name}-%{version}.tar.gz
License:        GPLv2+
Group:          Applications/System

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL:            http://www.ovirt.org/
BuildRequires:  autoconf
BuildRequires:  automake
Requires:       ovirt-node >= 3.0.0
Requires:       python
Requires:       vdsm-reg >= 4.10.3
Requires:       ovirt-host-deploy-offline >= 1.1.0
%if ! 0%{?centos}
Requires:       vdsm-hook-vhostmd
%endif
Requires(post): augeas

BuildArch:      noarch

Patch0: 0001-ovirt-node-plugin-vdsm.spec-remove-autoreconf.patch
Patch1: 0002-engine_page-Add-validation-for-cert-remove.patch
Patch2: 0003-engine_page-replace-log-import.patch
Patch3: 0004-engine_page-replace-TBD-string.patch
Patch4: 0005-engine_page-valid.Empty-handling-None.patch
Patch5: 0006-engine_page-fix-logic-to-show-fingerprint-msg.patch
Patch6: 0007-engine_page-replace-None-to-is-not-None.patch
Patch7: 0008-engine_page-ovirt.node.config.defaults-SSH.patch
Patch8: 0009-Use-Management-class-to-pass-informations.patch
Patch9: 0010-engine_page-management-info-for-autoinstall.patch
Patch10: 0011-engine_page-order-imports.patch                      
Patch11: 0012-engine_page-use-vdsm-to-detect-mgmt-interface.patch  
Patch12: 0013-engine_page-remove-unused-app-from-ovirt.node.patch
Patch13: 0014-engine_page-remove-unused-import-exceptions.patch
Patch14: 0015-engine_page-display-url-port-only-on-availble.patch
Patch15: 0016-engine_page-network-is-required-to-register-tab.patch
Patch16: 0017-engine_page-Remove-Retrieve-Certificate-button.patch
Patch17: 0018-engine_page-Display-correctly-proto-for-Manage-by.patch
Patch18: 0019-spec-remove-uneeded-sed-s.patch
Patch19: 0020-engine_page-set-password-when-no-address-is-used.patch
Patch20: 0021-engine_page-replace-netinfo-to-xmlrpc.patch
Patch21: 0022-engine_page-catch-exception-from-vdscli.connect.patch
Patch22: 0023-hooks-Adding-hooks-for-ovirt-node-upgrade.patch
Patch23: 0024-hooks-Add-hook-for-ovirt-node-boot.patch
Patch24: 0025-hooks-on-boot-changed-the-path.patch 
Patch25: 0026-packaging-add-version-information.patch
Patch26: 0027-add-features-version-file.patch
Patch27: 0028-Add-03-vdsm-sebool-config-handler.patch
Patch28: 0029-page-Use-package-name-everywhere.patch
Patch29: 0030-engine_page-Replace-oVirt-Engine-str-with-constant.patch
Patch30: 0031-downstream-only-remove-duplicate-engine-data.patch

%define app_root %{_datadir}/%{name}
%define recipe_root %{_datadir}/ovirt-node-recipe

%description
Provides UI and associated scripts for integrating oVirt Node and oVirt Engine

%package recipe
Summary:        Kickstarts for building oVirt Node isos including %{name}
Group:          Applications/System
Requires:       ovirt-node-recipe >= 2.6.0

%description recipe
Provides kickstart files for generating an oVirt Node ISO image containing
%{name}.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch24 -p1
%patch25 -p1
%patch26 -p1
%patch27 -p1
%patch28 -p1
%patch29 -p1
%patch30 -p1
# Required autoconf to update build system
autoreconf

%build
%configure

%install
%{__rm} -rf %{buildroot}
make install DESTDIR=%{buildroot}


%clean
%{__rm} -rf %{buildroot}


%post
# reserve vdsm port 54321
augtool << \EOF_sysctl
set /files/etc/sysctl.conf/net.ipv4.ip_local_reserved_ports 54321
save
EOF_sysctl

#SELinux Booleans
/usr/sbin/setsebool -P virt_use_nfs=1 \
                       virt_use_sanlock=1 \
                       sanlock_use_nfs=1

# ensure Network Manager is disabled
%if %{is_f19}
/usr/bin/systemctl mask NetworkManager.service
%endif

%preun

%files recipe
%{recipe_root}

%files
%{python_sitelib}/ovirt/node/setup/vdsm
%{_libexecdir}/ovirt-node/hooks/pre-upgrade/01-vdsm
%{_libexecdir}/ovirt-node/hooks/on-boot/01-vdsm-configure
%{_libexecdir}/ovirt-node/hooks/on-boot/03-vdsm-sebool-config
%{_sysconfdir}/ovirt-plugins.d
%{_sysconfdir}/default/version.ovirt-node-plugin-vdsm

%changelog
* Mon Dec 22 2014 Douglas Schilling Landgraf <dougsland@redhat.com> - 0.1.1-29
- Remove duplicate engine_data

* Thu Dec 16 2014 Douglas Schilling Landgraf <dougsland@redhat.com> - 0.1.1-28
- page: Use package name everywhere
- engine_page: Replace oVirt Engine str with constant

* Thu Oct 23 2014 Fabian Deutsch <fabiand@redhat.com> - 0.1.1-27
-  Add 03-vdsm-sebool-config handler

* Wed Sep 24 2014 Douglas Schilling Landgraf <dougsland@redhat.com> - 0.1.1-26
- Add kdump to features in version file

* Tue Sep 23 2014 Douglas Schilling Landgraf <dougsland@redhat.com> - 0.1.1-25
- Add version.ovirt-node-plugin-vdsm with FEATURES=

* Mon Jun 23 2014 Douglas Schilling Landgraf <dougsland@redhat.com> - 0.1.1-24
- Fix path of on-boot hooks

* Thu Jun 19 2014 Douglas Schilling Landgraf <dougsland@redhat.com> - 0.1.1-23
- hooks: Add hook for ovirt-node boot (BZ#1101215)

* Tue May 27 2014 Douglas Schilling Landgraf <dougsland@redhat.com> - 0.1.1-22
- rebuild for brew

* Fri May 23 2014 Douglas Schilling Landgraf <dougsland@redhat.com> - 0.1.1-21
- engine_page: catch exception from vdscli.connect()

* Mon May 19 2014 Douglas Schilling Landgraf <dougsland@redhat.com> - 0.1.1-20
- engine_page: replace netinfo to xmlrpc

* Mon May 12 2014 Douglas Schilling Landgraf <dougsland@redhat.com> - 0.1.1-19
- engine_page: set password when no address is used

* Tue Apr 22 2014 Douglas Schilling Landgraf <dougsland@redhat.com> - 0.1.1-17
- spec: remove uneeded sed's

* Tue Apr 15 2014 Douglas Schilling Landgraf <dougsland@redhat.com> - 0.1.1-15
- engine_page: Display correctly proto for Manage by (BZ#1065401)
- engine_page: Remove Retrieve Certificate button (BZ#1081042)
- engine_page: network is required to register tab (BZ#1064206)

* Fri Feb 21 2014 Douglas Schilling Landgraf <dougsland@redhat.com> - 0.1.1-14
- engine_page: order imports
- engine_page: use vdsm to detect mgmt interface (BZ#1058257)
- engine_page: remove unused app from ovirt.node
- engine_page: display url/port only on availble (BZ#1054157)
  
* Fri Jan 10 2014 Douglas Schilling Langraf <dougsland@redhat.com> - 0.1.1-13
- engine_page: management info for autoinstall (BZ#1048929)

* Thu Jan 9 2014 Douglas Schilling Landgraf <dougsland@redhat.com> - 0.1.1-12
- Use Management class to pass informations (BZ#1048929)

* Wed Nov 20 2013 Douglas Schilling Landgraf <dougsland@redhat.com> - 0.1.1-11
- engine_page: ovirt.node.config.defaults SSH

* Wed Nov 06 2013 Douglas Schilling Landgraf <dougsland@redhat.com> - 0.1.1-10
- engine_page: valid.Empty() handling None
- engine_page: fix logic to show fingerprint msg
- engine_page: replace != None to is not None

* Fri Oct 25 2013 Douglas Schilling Landgraf <dougsland@redhat.com> - 0.0.9
- engine_page: replace TBD string

* Mon Oct 21 2013 Douglas Schilling Landgraf <dougsland@redhat.com> - 0.0.8
- engine_page: replace log import
- engine_page: Add validation for cert remove

* Sun Aug 4 2013 Douglas Schilling Landgraf <dougsland@redhat.com> 0.0.7
- ovirt-node-plugin-vdsm.spec: remove Requires: vdsm-gluster (DOWNSTREAM only)

* Sun Aug 4 2013 Douglas Schilling Landgraf <dougsland@redhat.com> 0.0.6
- ovirt-node-plugin-vdsm.spec: remove autoreconf

* Thu Aug 1 2013 Douglas Schilling Landgraf <dougsland@redhat.com> 0.0.5
- Rebuild for RHEV

* Fri May 17 2013 Mike Burns <mburns@redhat.com> 0.0.2
- Rename to ovirt-node-plugin-vdsm
- rebase onto ovirt-node 3.0.0 codebase
- add note about changing sshd when setting passwd
- fix password changing
- fix some requirements
- add minimization

* Fri Feb 15 2013 Mike Burns <mburns@redhat.com> 0.0.1
- initial commit
- engine_page from current ovirt-node
